--- /dev/null
+#!/bin/sh -e
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+exec >&2
+
+sysctl -e -w kernel.exec-shield=0 || true
+
+DIVERT_TO="grub grub-probe"
+for i in $DIVERT_TO; do
+ if [ -e /usr/sbin/$i.real ]; then
+ echo "CN: Undiverting $i"
+
+ if [ -e /usr/sbin/$i ]; then
+ rm -vf /usr/sbin/$i
+ fi
+
+ dpkg-divert --remove --rename --package 'kernel-2.6-cn' \
+ --divert /usr/sbin/$i.real /usr/sbin/$i
+
+ sed -i "/^\/usr\/sbin\/$i/d" /var/lib/dpkg/info/kernel-2.6-cn.list
+ fi
+done
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Package: kernel-2.6-cn
Architecture: all
Section: admin
-Depends: grub (>= 0.97-47lenny2), procps (>= 1:3.2.7-11), udev (>= 0.125-7+lenny1), carnet-tools-cn (>= 2.8.2), module-init-tools (>= 3.4-1), mount (>= 2.13.1.1-1), e2fsprogs (>= 1.41.3-1), microcode.ctl (>= 1.17-9), irqbalance (>= 0.55-2.4lenny1), mdadm (>= 2.6.7.2-1), firmware-bnx2 (>= 0.14+lenny1), linux-image-686-bigmem | linux-image-amd64
+Depends: grub (>= 0.97-47lenny2), procps (>= 1:3.2.7-11), udev (>= 0.125-7+lenny1), carnet-tools-cn (>= 2.8.2), module-init-tools (>= 3.4-1), mount (>= 2.13.1.1-1), e2fsprogs (>= 1.41.3-1), microcode.ctl (>= 1.17-9), irqbalance (>= 0.55-2.4lenny1), mdadm (>= 2.6.7.2-1), firmware-bnx2 (>= 0.14+lenny1), linux-image-686-bigmem | linux-image-amd64, debconf
Conflicts: iplogger, kernel-cn, kernel-2.4-cn (<< 2.4.33-2)
Replaces: kernel-cn, kernel-2.4-cn
Provides: kernel-cn
--- /dev/null
+[type: gettext/rfc822deb] templates
--- /dev/null
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: kernel-2.6-cn@packages.debian.org\n"
+"POT-Creation-Date: 2010-09-29 10:52+0200\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: note
+#. Description
+#: ../templates:1001
+msgid "Dummy template to satisfy lintian"
+msgstr ""
+
+#. Type: note
+#. Description
+#: ../templates:1001
+msgid "Lintian warns if templates file is empty."
+msgstr ""
;;
esac
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
# import CN-functions
. /usr/share/carnet-tools/functions.sh
rm -f /etc/sysctl.conf.$$
cat > /etc/sysctl.conf.$$ <<'EOF'
kernel.maps_protect=1
-kernel.exec-shield=0
net.core.rmem_default=1048576
net.core.wmem_default=1048576
net.ipv4.conf.all.accept_redirects=0
# dh_installexamples
dh_install
# dh_installmenu
-# dh_installdebconf
+ dh_installdebconf
# dh_installlogrotate
# dh_installemacsen
# dh_installcatalogs
--- /dev/null
+Template: kernel-2.6-cn/dummy
+Type: note
+_Description: Dummy template to satisfy lintian
+ Lintian warns if templates file is empty.